## openssh-askpass-2.1.0-3.src.tar.gz

=== CMakeLists.txt ===
# $Id$
cmake_minimum_required(VERSION 2.8.12)

project(openssh-askpass)
set(OPENSSH_ASKPASS_VERSION_MAJOR 2)
SET(OPENSSH_ASKPASS_VERSION_MINOR 1)
SET(OPENSSH_ASKPASS_VERSION_PATCH 0)
set(OPENSSH_ASKPASS_VERSION ${OPENSSH_ASKPASS_VERSION_MAJOR}.${OPENSSH_ASKPASS_VERSION_MINOR}.${OPENSSH_ASKPASS_VERSION_PATCH})

########### modules #################
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/base-cmake")
include(Macros)
setup_cmake_settings()
setup_compiler_flags()

########### packages ###############
set(CPACK_PACKAGE_NAME "openssh-askpass")
set(CPACK_PACKAGE_VENDOR "hugo.pereira@free.fr")
set(CPACK_PACKAGE_VERSION "${OPENSSH_ASKPASS_VERSION}")
set(CPACK_SOURCE_GENERATOR TGZ)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
include(CPack)

########### configuration files ###############
configure_file(openssh-askpass.spec.cmake ${CMAKE_SOURCE_DIR}/openssh-askpass.spec)

########### external applications ###############
find_program(OPENSSH_ASKPASS top)
find_program(PS ps)
find_program(KILL kill)

########### subdirectories ###############
if(ENABLE_SHARED)

  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  link_directories(${CMAKE_INSTALL_PREFIX}/lib)

else()

  add_subdirectory(base)
  add_subdirectory(base-qt)
  add_subdirectory(base-transparency)
  add_subdirectory(base-svg)

endif()

add_subdirectory(src)
write_feature_summary()
