=== src/CMakeLists.txt ===
# $Id$
########### Qt4 configuration #########
if(USE_QT5)

  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5Svg REQUIRED)
  find_package(Qt5Xml REQUIRED)

else()

  find_package(Qt4 REQUIRED)
  set(QT_USE_QTSVG TRUE)
  set(QT_USE_QTXML TRUE)
  include(${QT_USE_FILE})
  include_directories(${CMAKE_CURRENT_BINARY_DIR})
  add_definitions(${QT_DEFINITIONS})

endif()

########### includes #########
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/base)
include_directories(${CMAKE_SOURCE_DIR}/base-qt)
include_directories(${CMAKE_SOURCE_DIR}/base-transparency)
include_directories(${CMAKE_SOURCE_DIR}/base-svg)

########### next target ###############
set(openssh_askpass_SOURCES
  AskPassQt.cpp
  main.cpp
)

set(openssh_askpass_RESOURCES pixmaps.qrc)

if(USE_QT5)

  qt5_add_resources(openssh_askpass_RESOURCES_RCC ${openssh_askpass_RESOURCES})

else()

  qt4_add_resources(openssh_askpass_RESOURCES_RCC ${openssh_askpass_RESOURCES})

endif()

add_executable(qt4-ssh-askpass
  ${openssh_askpass_SOURCES}
  ${openssh_askpass_RESOURCES_RCC}
)

target_link_libraries(qt4-ssh-askpass base base-qt base-transparency base-svg)

install(TARGETS qt4-ssh-askpass DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

if(USE_QT5)

  target_link_libraries(qt4-ssh-askpass Qt5::Svg Qt5::Widgets Qt5::Xml)

else()

  target_link_libraries(qt4-ssh-askpass ${QT_LIBRARIES})

endif()
